Package: grails.boot

## [Groovy] Class GrailsAppBuilder

- grails.boot.GrailsAppBuilder

- Fluent API for constructing GrailsApp instances. Simple extension of org.springframework.boot.builder.SpringApplicationBuilder.

  Authors:
    Graeme Rocher
  Since:
    3.0.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.boot.SpringApplication` | `createSpringApplication(java.lang.Object... sources)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.builder.SpringApplicationBuilder` | `org.springframework.boot.builder.SpringApplicationBuilder#sources([Ljava.lang.Object;), org.springframework.boot.builder.SpringApplicationBuilder#sources([Ljava.lang.Class;), org.springframework.boot.builder.SpringApplicationBuilder#listeners([Lorg.springframework.context.ApplicationListener;), org.springframework.boot.builder.SpringApplicationBuilder#properties(java.util.Properties), org.springframework.boot.builder.SpringApplicationBuilder#properties([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#properties(java.util.Map), org.springframework.boot.builder.SpringApplicationBuilder#application(), org.springframework.boot.builder.SpringApplicationBuilder#sibling([Ljava.lang.Object;), org.springframework.boot.builder.SpringApplicationBuilder#sibling([Ljava.lang.Object;, [Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#build([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#build(), org.springframework.boot.builder.SpringApplicationBuilder#bannerMode(org.springframework.boot.Banner$Mode), org.springframework.boot.builder.SpringApplicationBuilder#logStartupInfo(boolean), org.springframework.boot.builder.SpringApplicationBuilder#addCommandLineProperties(boolean), org.springframework.boot.builder.SpringApplicationBuilder#banner(org.springframework.boot.Banner), org.springframework.boot.builder.SpringApplicationBuilder#resourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.boot.builder.SpringApplicationBuilder#contextClass(java.lang.Class), org.springframework.boot.builder.SpringApplicationBuilder#initializers([Lorg.springframework.context.ApplicationContextInitializer;), org.springframework.boot.builder.SpringApplicationBuilder#beanNameGenerator(org.springframework.beans.factory.support.BeanNameGenerator), org.springframework.boot.builder.SpringApplicationBuilder#profiles([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#web(boolean), org.springframework.boot.builder.SpringApplicationBuilder#main(java.lang.Class), org.springframework.boot.builder.SpringApplicationBuilder#run([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#parent([Ljava.lang.Object;), org.springframework.boot.builder.SpringApplicationBuilder#parent(org.springframework.context.ConfigurableApplicationContext), org.springframework.boot.builder.SpringApplicationBuilder#context(), org.springframework.boot.builder.SpringApplicationBuilder#environment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.boot.builder.SpringApplicationBuilder#headless(boolean), org.springframework.boot.builder.SpringApplicationBuilder#child([Ljava.lang.Object;), org.springframework.boot.builder.SpringApplicationBuilder#registerShutdownHook(boolean), org.springframework.boot.builder.SpringApplicationBuilder#wait(long, int), org.springframework.boot.builder.SpringApplicationBuilder#wait(long), org.springframework.boot.builder.SpringApplicationBuilder#wait(), org.springframework.boot.builder.SpringApplicationBuilder#equals(java.lang.Object), org.springframework.boot.builder.SpringApplicationBuilder#toString(), org.springframework.boot.builder.SpringApplicationBuilder#hashCode(), org.springframework.boot.builder.SpringApplicationBuilder#getClass(), org.springframework.boot.builder.SpringApplicationBuilder#notify(), org.springframework.boot.builder.SpringApplicationBuilder#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected org.springframework.boot.SpringApplication createSpringApplication(java.lang.Object... sources)